<?xml version="1.0" encoding="UTF-8"?>
<application>
    <doc title="RESIF timeseriesplot web service 1.0"/>

    <resources base="{{ request.root_url }}">
        <resource path="/">
            <method name="GET">
                <response>
                    <representation mediaType="text/html"/>
                </response>
            </method>
        </resource>
        <resource path="version">
            <method name="GET">
                <response>
                    <representation mediaType="text/plain"/>
                </response>
            </method>
        </resource>
        <resource path="application.wadl">
            <method name="GET" id="application.wadl">
                <response>
                    <representation mediaType="application/xml"/>
                </response>
            </method>
        </resource>
        <resource path="query">
            <method href="#query"/>
        </resource>

    </resources>

    <method name="GET" id="query">
        <request>
            <param name="network" style="query" required="true" type="xsd:string"/>
            <param name="station" style="query" required="true" type="xsd:string"/>
            <param name="location" style="query" required="true" type="xsd:string"/>
            <param name="channel" style="query" required="true" type="xsd:string"/>
            <param name="starttime" style="query" required="true" type="xsd:string"/>
            <param name="endtime" style="query" required="true" type="xsd:string"/>
            <param name="net" style="query" type="xsd:string"/>
            <param name="sta" style="query" type="xsd:string"/>
            <param name="loc" style="query" type="xsd:string"/>
            <param name="cha" style="query" type="xsd:string"/>
            <param name="start" style="query" type="xsd:string"/>
            <param name="end" style="query" type="xsd:string"/>
            <param name="iplot" style="query" type="xsd:string"/>
            <param name="showtitle" style="query" type="xsd:string"/>
            <param name="showscale" style="query" type="xsd:string"/>
            <param name="monochrome" style="query" type="xsd:string"/>
            <param name="width" style="query" type="xsd:string"/>
            <param name="height" style="query" type="xsd:string"/>
            <param name="format" style="query" type="xsd:string">
                <option value="jpeg"/>
                <option value="jpg"/>
                <option value="png"/>
            </param>
            <param name="earthunits" style="query" type="xsd:string"/>
            <param name="correct" style="query" type="xsd:string"/>
            <param name="demean" style="query" type="xsd:boolean"/>
            <param name="waterlevel" style="query" type="xsd:string"/>
            <param name="freqlimits" style="query" type="xsd:string"/>
            <param name="units" style="query" type="xsd:string">
                <option value="ACC"/>
                <option value="AUTO"/>
                <option value="DISP"/>
                <option value="VEL"/>
            </param>
        </request>
        <response status="200 202 204 400 401 403 404 408 413 424 429 500 501 502 503">
            <representation mediaType="text/plain"/>
            <representation mediaType="application/octet-stream"/>
            <representation mediaType="image/png"/>
        </response>
    </method>

</application>
